.header {
    background: url("../img/first-screen.png") center no-repeat;
    background-color: #010005;
    @media (min-width: $bigtab) {
        background-size: contain;
    }
    &__btn {
        background-color: $violet;
        border-radius: 40px;
        text-align: center;
        font-weight: 700;
        font-family: $font-montserrat;
        text-decoration: none;
        display: block;
        color: $white;
        transition: .3s linear;
        @media(min-width: $tablet) {
            @include flex-center;
            font-size: 16px;
            width: 145px;
            height: 38px;
            order: 1;
        }
        @media(min-width: $bigtab) {
            align-items: center;
            width: 147px;
            height: 39px;
        }
        &--small {
            width: 119px;
            line-height: 37px;
            font-size: 15px;
            @media (min-width: $tablet) {
                margin-top: 20px;
                min-width: 145px;
                font-size: 15px;
            }
            @media(min-width: $bigtab) {
                margin: 0px;
                &:hover {
                    background-color: $white;
                    border: 1px solid $violet;
                    color: $violet;
                }
            }
        }
        &--large {
            width: 290px;
            line-height: 45px;
            font-size: 18px;
            margin: 0 auto;
            @media(min-width: $tablet) {
                width: 390px;
                height: 62px;
                line-height: 22px;
                font-size: 21px;
                border: 2px solid transparent;
            }
            @media(min-width: $bigtab) {
                &:hover {
                    background-color: $white;
                    border: 2px solid $violet;
                    color: $violet;
                }
            }
        }
    }
}

.nav {
    @include flex-center;
    min-height: 100px;
    background-color: #27262A;
    position: relative;
    @media(min-width: $tablet) {
        min-height: 120px;
        align-items: flex-start;
        padding: 20px 20px 15px;
    }
    @media(min-width: $bigtab) {
        background-color: inherit;
        align-items: center;
        min-height: 100px;
    }
    @media(min-width: $mobile) {
        display: flex;
        justify-content: space-between;
    }
}

.logo {
    display: flex;
    align-items: center;
    justify-content: space-between;
    text-decoration: none;
    @media(min-width: $tablet) {
        padding-top: 20px;
        min-width: 150px;
    }
    @media(min-width: $bigtab) {
        padding: 0px;
        &:hover>.logo__picture {
            fill: $white;
        }
        &:hover>.logo__title {
            color: $white;
        }
    }
    &__picture {
        width: 43px;
        height: 41px;
        transition: .3s ease-in-out;
    }
    &__title {
        font-family: $font-lato;
        font-weight: 700;
        font-size: 24px;
        text-transform: uppercase;
        color: $violet;
        text-decoration: none;
        display: none;
        transition: .3s ease-in-out;
        @media (min-width: $tablet) {
            display: block;
        }
    }
}

.product-get {
    padding: 0 10px;
}

.hamburger {
    width: 27px;
    height: 21px;
    @media (min-width: $tablet) {
        max-width: 520px;
        width: 100%;
        height: auto;
        align-self: flex-end;
    }
    @media(min-width: $bigtab) {
        position: relative;
        align-self: auto;
        margin-left: auto;
        padding: 0 40px;
    }
    &__toggle {
        opacity: 0;
        display: none;
        &:checked~.hamburger__btn>.hamburger__btn-lines {
            transform: rotate(45deg);
        }
        &:checked~.hamburger__btn>.hamburger__btn-lines::before {
            top: 0;
            transform: rotate(0);
        }
        &:checked~.hamburger__btn>.hamburger__btn-lines::after {
            top: 0;
            transform: rotate(90deg);
        }
        &:checked~.hamburger__menu {
            visibility: visible;
            right: 15px;
            opacity: 1;
        }
    }
    &__btn {
        @include flex-center;
        top: 39px;
        right: 15px;
        width: 27px;
        height: 21px;
        cursor: pointer;
        z-index: 2;
        @media(min-width: $tablet) {
            display: none;
        }
        &-lines {
            &::before {
                content: '';
                top: -9px;
            }
            &::after {
                content: '';
                top: 9px;
            }
        }
    }
    &__btn-lines {
        width: 26px;
        z-index: 2;
        @include dropdown-btn;
        &::before,
        &::before,
        &::before {
            width: 15px;
            right: 0;
            @include dropdown-btn;
        }
        &::after {
            width: 26px;
            @include dropdown-btn;
        }
    }
    &__menu {
        display: block;
        visibility: hidden;
        position: absolute;
        top: 100px;
        width: 100%;
        max-width: 290px;
        background-color: #333;
        z-index: 2;
        opacity: 0;
        right: 15px;
        @media(min-width: $tablet) {
            visibility: visible;
            opacity: 1;
            background-color: transparent;
            display: flex;
            justify-content: space-between;
            max-width: 540px;
            width: 100%;
            left: 50%;
            transform: translate(-50%, -80%);
            padding: 0 20px;
        }
        @media(min-width: $bigtab) {
            position: static;
            transform: none;
            padding: 0;
        }
    }
    &__item {
        text-align: left;
        min-height: 28px;
        transition: .5s ease-in-out;
        @media(min-width: $tablet) {
            min-height: auto;
        }
        &:not(:last-child) {
            border-bottom: 3px solid #3B3B3B;
            @media(min-width: $tablet) {
                border-bottom: none;
            }
        }
    }
    &__link {
        display: block;
        padding: 25px 35px 25px;
        color: $white;
        font-size: 26px;
        position: relative;
        line-height: 26px;
        text-decoration: none;
        font-family: $font-montserrat;
        @media (min-width: $mobile) {
            transition: .2s ease;
        }
        @media(min-width: $tablet) {
            font-size: 16px;
            line-height: 18px;
            color: $violet;
            font-weight: 700;
            padding: 0;
        }
        @media(min-width: $bigtab) {
            &:hover {
                color: $white;
            }
        }
        &:focus {
            color: $violet;
            @media(min-width: $tablet) {
                color: $white;
            }
            @media(min-width: $bigtab) {
                display: none;
            }
            &::before {
                content: '';
                width: 8px;
                height: 52px;
                left: 2px;
                position: absolute;
                top: calc(50% - 26px);
                background-color: $violet;
                transition-delay: .5s;
                @media (min-width: $tablet) {
                    display: none;
                }
            }
        }
    }
}

.first-screen {
    display: flex;
    justify-content: space-between;
    flex-direction: column;
    min-height: 620px;
    @media (min-width: $tablet) {
        min-height: 680px;
    }
}

.product {
    text-align: center;
    padding: 0 10px;
    &__title {
        @include section-title;
        font-size: 48px;
        line-height: 48px;
        color: $white;
        padding: 50px 0 20px;
        @media (min-width: $tablet) {
            font-size: 72px;
            line-height: 72px;
            padding-top: 70px;
        }
        @media(min-width: $bigtab) {
            padding-top: 80px;
            font-size: 82px;
            line-height: 82px;
        }
    }
    &__desc {
        font-family: $font-montserrat;
        font-size: 18px;
        line-height: 24px;
        color: $violet;
        padding-bottom: 15px;
        @media(min-width: $tablet) {
            font-family: $font-lato;
            font-size: 24px;
            line-height: 24px;
            padding-bottom: 20px;
        }
        @media(min-width: $bigtab) {
            font-family: $font-montserrat;
            font-size: 30px;
            line-height: 30px;
        }
    }
    &__version {
        font-size: 14px;
        font-family: $font-montserrat;
        color: #848E97;
        text-transform: uppercase;
        @media (min-width: $bigtab) {
            font-size: 16px;
        }
    }
}

.product-trial {
    text-align: center;
    top: 45px;
    position: relative;
    @media(min-width: $tablet) {
        top: 63px;
    }
    &__desc {
        padding-top: 10px;
        font-family: $font-montserrat;
        font-size: 14px;
        color: #848E97;
        @media(min-width: $tablet) {
            padding-top: 20px;
        }
    }
}